Package bitel.billing.server.admin.resource.bean

# Class NumberResourceUseManager

java.lang.Object
bitel.billing.server.admin.resource.bean.ResourceUseManager<NumberResourceUse>
bitel.billing.server.admin.resource.bean.NumberResourceUseManager

public class NumberResourceUseManager extends ResourceUseManager<NumberResourceUse>

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.resource.bean.ResourceUseManager

  `con, mid, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberResourceUseManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkResourceOutRange(int resourceId, Calendar date1, Calendar date2)`
  `void`
  `closeResourceUse(int cid, Date date)`
  `protected NumberResourceUse`
  `getResourceUseFromRs(ResultSet rs)`
  `Map<String,List<NumberResourceUse>>`
  `getResourceUseMap()`
  `protected String`
  `getTableName()`
  `protected void`
  `insertResourceUseList(int resourceId, List<NumberResourceUse> resourceUseList)`

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.ResourceUseManager

  `freeResources, getResourceUse, loadStandartResourceUseFromRs, updateResourceUse, wasResourceUsed`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberResourceUseManager

    public NumberResourceUseManager(Connection con, int mid)

- ## Method Details

  - ### getTableName

    protected String getTableName()
    Specified by:
      `getTableName` in class `ResourceUseManager<NumberResourceUse>`

  - ### getResourceUseFromRs

    protected NumberResourceUse getResourceUseFromRs(ResultSet rs)
    Specified by:
      `getResourceUseFromRs` in class `ResourceUseManager<NumberResourceUse>`

  - ### getResourceUseMap

    public Map<String,List<NumberResourceUse>> getResourceUseMap()

  - ### checkResourceOutRange

    public boolean checkResourceOutRange(int resourceId, Calendar date1, Calendar date2)

  - ### insertResourceUseList

    protected void insertResourceUseList(int resourceId, List<NumberResourceUse> resourceUseList) throws Exception
    Specified by:
      `insertResourceUseList` in class `ResourceUseManager<NumberResourceUse>`
    Throws:
      `Exception`

  - ### closeResourceUse

    public void closeResourceUse(int cid, Date date)
    Overrides:
      `closeResourceUse` in class `ResourceUseManager<NumberResourceUse>`